;***   File generated automatically using PICUtil

;***************************
;*** Compiler Directives ***
;***************************

	;disable following compiler warnings
	errorlevel -224 ;Use of this instruction is not recommended
	errorlevel -302 ;Register in operand not in bank 0. Ensure that bank bits are correct
	errorlevel -220 ;Address exceeds maximum range for this processor


;***************************
;*** Program Variables   ***
;***************************
INDIRECT 	equ	0x00	; (used  15 times)
TMR0     	equ	0x01	; (used   4 times)
STATUS   	equ	0x03	; (used  41 times)
FSR      	equ	0x04	; (used  18 times)
PORTA    	equ	0x05	; (used  36 times)
PORTB    	equ	0x06	; (used  12 times)
var_0C   	equ	0x0C	; (used   5 times)
var_0D   	equ	0x0D	; (used   5 times)
var_0E   	equ	0x0E	; (used   6 times)
var_0F   	equ	0x0F	; (used   9 times)
var_10   	equ	0x10	; (used   8 times)
var_11   	equ	0x11	; (used   7 times)
var_12   	equ	0x12	; (used   5 times)
var_16   	equ	0x16	; (used   4 times)
var_19   	equ	0x19	; (used   6 times)
var_1A   	equ	0x1A	; (used   7 times)
var_1B   	equ	0x1B	; (used   4 times)
var_1C   	equ	0x1C	; (used   1 times)
var_1D   	equ	0x1D	; (used   1 times)
var_1E   	equ	0x1E	; (used   1 times)
var_1F   	equ	0x1F	; (used   2 times)
var_2C   	equ	0x2C	; (used  20 times)
var_2D   	equ	0x2D	; (used   4 times)
var_2F   	equ	0x2F	; (used   9 times)
W	equ	0x0000
F	equ	0x0001


;***************************
;*** Program Code        ***
;***************************

	org	0x0000
        goto    lbl00FD     ; Warning--Code may not be reachable

;***************************
;*** Subroutine lbl0001 ***
;***************************
lbl0001 movlw   0xCC        
        call    lbl0037     
        movlw   0x30        

;***************************
;*** Interrupt           ***
;***************************
        call    lbl0020     
        movlw   0x2E        
        call    lbl0020     
        movlw   0x31        
        call    lbl0020     
        movlw   0x73        
        call    lbl0020     
        return              


;***************************
;*** Subroutine lbl000C ***
;***************************
lbl000C movlw   0xCC        
        call    lbl0037     
        movlw   0x31        
        call    lbl0020     
        movlw   0x73        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        return              


;***************************
;*** Subroutine lbl0017 ***
;***************************
lbl0017 movlw   0x05        
        movwf   var_2C      
lbl0019 movlw   0xA5        
        movwf   var_2D      
lbl001B decfsz  var_2D,F    
        goto    lbl001B     
        decfsz  var_2C,F    
        goto    lbl0019     
        retlw   0x00        

;***************************
;*** Subroutine lbl0020 ***
;***************************
lbl0020 movwf   PORTB       
        movlw   0x00        
        tris    PORTB       
        bsf     PORTA,2     
        bcf     PORTA,1     
        bsf     PORTA,0     
        bcf     PORTA,0     
        movlw   0xFF        
        tris    PORTB       
        bcf     PORTA,2     
        bsf     PORTA,1     
        bsf     PORTA,0     
        movf    PORTB,W     
        movwf   var_2F      
        bsf     var_2F,7    
        bcf     PORTA,0     
lbl0030 bsf     PORTA,0     
        btfss   PORTB,7     
        goto    lbl0035     
        bcf     PORTA,0     
        goto    lbl0030     

lbl0035 bcf     PORTA,0     
        goto    lbl0048     

;***************************
;*** Subroutine lbl0037 ***
;***************************
lbl0037 movwf   PORTB       
        movlw   0x00        
        tris    PORTB       
        bcf     PORTA,2     
        bcf     PORTA,1     
        bsf     PORTA,0     
        bcf     PORTA,0     
        movlw   0xFF        
        tris    PORTB       
        bsf     PORTA,1     
lbl0041 bsf     PORTA,0     
        btfss   PORTB,7     
        goto    lbl0046     
        bcf     PORTA,0     
        goto    lbl0041     

lbl0046 bcf     PORTA,0     
        retlw   0x00        
lbl0048 btfss   var_2F,0    
        retlw   0x00        
        btfss   var_2F,1    
        retlw   0x00        
        btfss   var_2F,2    
        retlw   0x00        
        btfss   var_2F,3    
        retlw   0x00        
        movlw   0x39        
        addwf   var_2F,F    
        bsf     var_2F,7    
        movf    var_2F,W    
        goto    lbl0037     

;***************************
;*** Subroutine lbl0055 ***
;***************************
lbl0055 bcf     STATUS,7    
        movf    var_10,W    
        subwf   var_0D,F    
        btfsc   STATUS,0    
        goto    lbl0061     
        movlw   0x01        
        subwf   var_0E,F    
        btfsc   STATUS,0    
        goto    lbl0061     
        subwf   var_0F,F    
        btfss   STATUS,0    
        bsf     STATUS,7    
lbl0061 movf    var_11,W    
        subwf   var_0E,F    
        btfsc   STATUS,0    
        goto    lbl0069     
        movlw   0x01        
        subwf   var_0F,F    
        btfss   STATUS,0    
        bsf     STATUS,7    
lbl0069 movf    var_12,W    
        subwf   var_0F,F    
        btfss   STATUS,0    
        bsf     STATUS,7    
        retlw   0x00        

;***************************
;*** Subroutine lbl006E ***
;***************************
lbl006E movf    var_10,W    
        addwf   var_0D,F    
        btfss   STATUS,0    
        goto    lbl0075     
        incfsz  var_0E,F    
        goto    lbl0075     
        incf    var_0F,F    
lbl0075 movf    var_11,W    
        addwf   var_0E,F    
        btfsc   STATUS,0    
        incf    var_0F,F    
        movf    var_12,W    
        addwf   var_0F,F    
        retlw   0x00        

;***************************
;*** Subroutine lbl007C ***
;***************************
lbl007C movlw   0x07        
        movwf   var_2C      
        movlw   0x19        
        movwf   FSR         
        movlw   0x2F        
lbl0081 movwf   INDIRECT    
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl0081     
        movlw   0x0F        
        movwf   var_12      
        movlw   0x42        
        movwf   var_11      
        movlw   0x40        
        movwf   var_10      
lbl008B call    lbl0055     
        incf    var_19,F    
        movlw   0x3A        
        xorwf   var_19,W    
        btfsc   STATUS,2    
        goto    lbl021F     
        btfss   STATUS,7    
        goto    lbl008B     
        call    lbl006E     
        movlw   0x01        
        movwf   var_12      
        movlw   0x86        
        movwf   var_11      
        movlw   0xA0        
        movwf   var_10      
lbl009A call    lbl0055     
        incf    var_1A,F    
        btfss   STATUS,7    
        goto    lbl009A     
        call    lbl006E     
        clrf    var_12      
        movlw   0x27        
        movwf   var_11      
        movlw   0x10        
        movwf   var_10      
lbl00A4 call    lbl0055     
        incf    var_1B,F    
        btfss   STATUS,7    
        goto    lbl00A4     
        call    lbl006E     
        movlw   0x03        
        movwf   var_11      
        movlw   0xE8        
        movwf   var_10      
lbl00AD call    lbl0055     
        incf    var_1C,F    
        btfss   STATUS,7    
        goto    lbl00AD     
        call    lbl006E     
        clrf    var_11      
        movlw   0x64        
        movwf   var_10      
lbl00B5 call    lbl0055     
        incf    var_1D,F    
        btfss   STATUS,7    
        goto    lbl00B5     
        call    lbl006E     
        movlw   0x0A        
        movwf   var_10      
lbl00BC call    lbl0055     
        incf    var_1E,F    
        btfss   STATUS,7    
        goto    lbl00BC     
        call    lbl006E     
        movf    var_0D,W    
        addwf   var_1F,F    
        incf    var_1F,F    
        retlw   0x00        

;***************************
;*** Subroutine lbl00C5 ***
;***************************
lbl00C5 movlw   0x37        
        option              
        movlw   0x10        
        tris    PORTA       
        bcf     PORTA,3     
        bcf     PORTA,2     
        clrf    var_0F      
        clrf    TMR0        
        clrf    var_16      
        bsf     PORTA,2     
        bcf     PORTA,2     
        movf    var_0C,W    
        movwf   var_2C      
        bsf     PORTA,3     
lbl00D3 movlw   0xFA        
        movwf   var_2D      
        goto    lbl00DC     

lbl00D6 nop                 
        nop                 
        nop                 
        nop                 
        nop                 
        nop                 
lbl00DC movf    TMR0,W      
        subwf   var_16,F    
        btfss   STATUS,2    
        goto    lbl00E2     
        nop                 
        goto    lbl00E4     

lbl00E2 btfsc   STATUS,0    
        incf    var_0F,F    
lbl00E4 movwf   var_16      
        nop                 
        nop                 
        nop                 
        decfsz  var_2D,F    
        goto    lbl00D6     
        decfsz  var_2C,F    
        goto    lbl00D3     
        bcf     PORTA,3     
        movf    TMR0,W      
        movwf   var_0E      
        subwf   var_16,F    
        btfss   STATUS,0    
        goto    lbl00F4     
        btfss   STATUS,2    
        incf    var_0F,F    
lbl00F4 clrf    var_0D      
lbl00F5 decf    var_0D,F    
        bsf     PORTA,2     
        bcf     PORTA,2     
        movf    TMR0,W      
        xorwf   var_0E,W    
        btfsc   STATUS,2    
        goto    lbl00F5     
        retlw   0x00        
lbl00FD clrf    PORTA       
        movlw   0x10        
        tris    PORTA       
        clrf    PORTB       
        movlw   0x00        
        tris    PORTB       
        call    lbl0017     
        call    lbl0017     
        call    lbl0017     
        movlw   0x38        
        movwf   PORTB       
        bsf     PORTA,0     
        call    lbl0017     
        bcf     PORTA,0     
        bsf     PORTA,0     
        call    lbl0017     
        bcf     PORTA,0     
        bsf     PORTA,0     
        call    lbl0017     
        bcf     PORTA,0     
        movlw   0x38        
        call    lbl0037     
        movlw   0x0C        
        call    lbl0037     
        movlw   0x01        
        call    lbl0037     
        movlw   0x06        
        call    lbl0037     
        movlw   0x80        
        call    lbl0037     
        movlw   0x46        
        call    lbl0020     
        movlw   0x3D        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0xC0        
        call    lbl0037     
        movlw   0x50        
        call    lbl0020     
        movlw   0x65        
        call    lbl0020     
        movlw   0x70        
        call    lbl0020     
        movlw   0x65        
        call    lbl0020     
        movlw   0xC9        
        call    lbl0037     
        movlw   0x42        
        call    lbl0020     
        movlw   0x54        
        call    lbl0020     
        movlw   0x3D        
        call    lbl0020     
lbl0133 movlw   0x14        
        movwf   var_0C      
        call    lbl00C5     
        call    lbl007C     
        movlw   0x30        
        xorwf   var_19,W    
        btfss   STATUS,2    
        goto    lbl013F     
        movlw   0x30        
        xorwf   var_1A,W    
        btfsc   STATUS,2    
        goto    lbl017F     
lbl013F movlw   0x83        
        call    lbl0037     
        movlw   0x02        
        movwf   var_2C      
        movlw   0x19        
        movwf   FSR         
lbl0145 movlw   0x30        
        xorwf   INDIRECT,W  
        btfss   STATUS,2    
        goto    lbl014F     
        movlw   0x20        
        call    lbl0020     
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl0145     
        goto    lbl0154     

lbl014F movf    INDIRECT,W  
        call    lbl0020     
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl014F     
lbl0154 movlw   0x2E        
        call    lbl0020     
        movlw   0x05        
        movwf   var_2C      
lbl0158 movf    INDIRECT,W  
        call    lbl0020     
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl0158     
        movlw   0x20        
        call    lbl0020     
        movlw   0x4D        
        call    lbl0020     
        movlw   0x48        
        call    lbl0020     
        movlw   0x7A        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        call    lbl0001     
        goto    lbl0133     

lbl016B movlw   0x14        
        movwf   var_0C      
        call    lbl00C5     
        call    lbl007C     
        movlw   0x30        
        xorwf   var_19,W    
        btfss   STATUS,2    
        goto    lbl013F     
        movlw   0x32        
        subwf   var_1A,W    
        btfsc   STATUS,0    
        goto    lbl013F     
        movlw   0x30        
        xorwf   var_1A,W    
        btfss   STATUS,2    
        goto    lbl017F     
        movlw   0x30        
        xorwf   var_1B,W    
        btfsc   STATUS,2    
        goto    lbl01A9     
lbl017F movlw   0x83        
        call    lbl0037     
        movlw   0x05        
        movwf   var_2C      
        movlw   0x19        
        movwf   FSR         
lbl0185 movlw   0x30        
        xorwf   INDIRECT,W  
        btfss   STATUS,2    
        goto    lbl018F     
        movlw   0x20        
        call    lbl0020     
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl0185     
        goto    lbl0194     

lbl018F movf    INDIRECT,W  
        call    lbl0020     
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl018F     
lbl0194 movlw   0x2E        
        call    lbl0020     
        movf    INDIRECT,W  
        call    lbl0020     
        incf    FSR,F       
        movf    INDIRECT,W  
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0x4B        
        call    lbl0020     
        movlw   0x48        
        call    lbl0020     
        movlw   0x7A        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        call    lbl0001     
        goto    lbl016B     

lbl01A9 movlw   0xC8        
        movwf   var_0C      
        call    lbl00C5     
        call    lbl007C     
        movlw   0x30        
        xorwf   var_19,W    
        btfss   STATUS,2    
        goto    lbl016B     
        movlw   0x32        
        subwf   var_1A,W    
        btfsc   STATUS,0    
        goto    lbl016B     
        movlw   0x30        
        xorwf   var_1A,W    
        btfss   STATUS,2    
        goto    lbl01BD     
        movlw   0x30        
        xorwf   var_1B,W    
        btfsc   STATUS,2    
        goto    lbl01FA     
lbl01BD movlw   0x83        
        call    lbl0037     
        movlw   0x04        
        movwf   var_2C      
        movlw   0x19        
        movwf   FSR         
lbl01C3 movlw   0x30        
        xorwf   INDIRECT,W  
        btfss   STATUS,2    
        goto    lbl01CD     
        movlw   0x20        
        call    lbl0020     
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl01C3     
        goto    lbl01D2     

lbl01CD movf    INDIRECT,W  
        call    lbl0020     
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl01CD     
lbl01D2 movlw   0x2E        
        call    lbl0020     
        movf    INDIRECT,W  
        call    lbl0020     
        incf    FSR,F       
        movf    INDIRECT,W  
        call    lbl0020     
        incf    FSR,F       
        movf    INDIRECT,W  
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0x4B        
        call    lbl0020     
        movlw   0x48        
        call    lbl0020     
        movlw   0x7A        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        call    lbl000C     
        goto    lbl01A9     

lbl01EA movlw   0xC8        
        movwf   var_0C      
        call    lbl00C5     
        call    lbl007C     
        movlw   0x30        
        xorwf   var_19,W    
        btfss   STATUS,2    
        goto    lbl01BD     
        movlw   0x30        
        xorwf   var_1A,W    
        btfss   STATUS,2    
        goto    lbl01BD     
        movlw   0x32        
        subwf   var_1B,W    
        btfsc   STATUS,0    
        goto    lbl01BD     
lbl01FA movlw   0x83        
        call    lbl0037     
        movlw   0x07        
        movwf   var_2C      
        movlw   0x19        
        movwf   FSR         
lbl0200 movlw   0x30        
        xorwf   INDIRECT,W  
        btfss   STATUS,2    
        goto    lbl020A     
        movlw   0x20        
        call    lbl0020     
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl0200     
        goto    lbl020F     

lbl020A movf    INDIRECT,W  
        call    lbl0020     
        incf    FSR,F       
        decfsz  var_2C,F    
        goto    lbl020A     
lbl020F movlw   0x20        
        call    lbl0020     
        movlw   0x48        
        call    lbl0020     
        movlw   0x7A        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        movlw   0x20        
        call    lbl0020     
        call    lbl000C     
        goto    lbl01EA     

lbl021F movlw   0x01        
        call    lbl0037     
        movlw   0xC1        
        call    lbl0037     
        movlw   0x53        
        call    lbl0020     
        movlw   0x4F        
        call    lbl0020     
        movlw   0x42        
        call    lbl0020     
        movlw   0x52        
        call    lbl0020     
        movlw   0x45        
        call    lbl0020     
        movlw   0x50        
        call    lbl0020     
        movlw   0x41        
        call    lbl0020     
        movlw   0x53        
        call    lbl0020     
        movlw   0x41        
        call    lbl0020     
        movlw   0x02        
        call    lbl0037     
        goto    lbl00FD     
	end

